Skip to content
Hexel StudioDocs

Decide on review item

PATCH/reviews/{review_id}/items/{item_id}

Needs iam:review:manage. The decider is the caller, who must not be the item's subject (403); the decider and time are stored on the item as reviewed_by_user_id and reviewed_at.

Path parameters

review_idstring

Review ID

item_idstring

Item ID

Headers

Bearer <token>.

Body parameters

decision, comment

A JSON object (required).

Returns

200OKReviewItemDecision

access_typeoptional string
access_valueoptional string
created_atoptional string
current_statusoptional string
decisionoptional string
idoptional string
review_idoptional string
reviewed_atoptional string
reviewed_by_user_idoptional string
reviewer_commentoptional string
reviewer_decisionoptional string
subject_idoptional string
subject_typeoptional string

Errors

  • 400Bad Request
  • 403Forbidden
  • 404Not Found